상품 목록 조회
curl --request GET \
--url https://api.headlesscommerce.io/v1/admin/products \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"attributes": {},
"images": [
{
"id": "<string>",
"url": "<string>",
"alt_text": "<string>",
"position": 123,
"width": 123,
"height": 123
}
],
"options": [
{
"id": "<string>",
"name": "<string>",
"position": 123,
"values": [
{
"id": "<string>",
"value": "<string>",
"position": 123
}
]
}
],
"variants": [
{
"id": "<string>",
"product_id": "<string>",
"sku": "<string>",
"barcode": "<string>",
"price": {
"amount": 123,
"currency": "<string>"
},
"compare_at_price": {
"amount": 123,
"currency": "<string>"
},
"cost_price": {
"amount": 123,
"currency": "<string>"
},
"weight": 123,
"is_active": true,
"option_values": [
{
"id": "<string>",
"value": "<string>",
"position": 123
}
],
"images": [
{
"id": "<string>",
"url": "<string>",
"alt_text": "<string>",
"position": 123,
"width": 123,
"height": 123
}
],
"inventory": {
"id": "<string>",
"variant_id": "<string>",
"track_inventory": true,
"allow_backorder": true,
"safety_stock": 123,
"on_hand": 123,
"reserved": 123,
"available": 123,
"metadata": {}
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total_count": 123,
"has_more": true,
"next_cursor": "<string>"
}Admin - 상품
상품 목록 조회
GET
/
admin
/
products
상품 목록 조회
curl --request GET \
--url https://api.headlesscommerce.io/v1/admin/products \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"attributes": {},
"images": [
{
"id": "<string>",
"url": "<string>",
"alt_text": "<string>",
"position": 123,
"width": 123,
"height": 123
}
],
"options": [
{
"id": "<string>",
"name": "<string>",
"position": 123,
"values": [
{
"id": "<string>",
"value": "<string>",
"position": 123
}
]
}
],
"variants": [
{
"id": "<string>",
"product_id": "<string>",
"sku": "<string>",
"barcode": "<string>",
"price": {
"amount": 123,
"currency": "<string>"
},
"compare_at_price": {
"amount": 123,
"currency": "<string>"
},
"cost_price": {
"amount": 123,
"currency": "<string>"
},
"weight": 123,
"is_active": true,
"option_values": [
{
"id": "<string>",
"value": "<string>",
"position": 123
}
],
"images": [
{
"id": "<string>",
"url": "<string>",
"alt_text": "<string>",
"position": 123,
"width": 123,
"height": 123
}
],
"inventory": {
"id": "<string>",
"variant_id": "<string>",
"track_inventory": true,
"allow_backorder": true,
"safety_stock": 123,
"on_hand": 123,
"reserved": 123,
"available": 123,
"metadata": {}
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total_count": 123,
"has_more": true,
"next_cursor": "<string>"
}인증
API Key. Example: sk_live_xxxxx or pk_live_xxxxx
쿼리 매개변수
필수 범위:
1 <= x <= 100Return results after this ID (cursor)
사용 가능한 옵션:
draft, active, archived 사용 가능한 옵션:
physical, digital, service, bundle Search by name/SKU
사용 가능한 옵션:
created_at, name, updated_at 사용 가능한 옵션:
asc, desc ⌘I